using System;
using System.Collections.Generic;

using skydiveLogs_api.Business.Interface;
using skydiveLogs_api.Model;
using skydiveLogs_api.Data.Interface;


namespace skydiveLogs_api.Business
{
    public class GearService : IGearService
    {
        public GearService(IGearRepository gearRepository)
        {
            _gearRepository = gearRepository;
        }

        public void AddNewGear(Gear newGear)
        {
            _gearRepository.Add(newGear);
        }

        public void DeleteGearById(int id)
        {
            throw new NotImplementedException();
        }

        public Gear GetGearById(int id)
        {
            return _gearRepository.GetById(id);
        }

        public IEnumerable<Gear> GetAllGears()
        {
            return _gearRepository.GetAll();
        }

        public void UpdateGear(int id, Gear Gear)
        {
            throw new NotImplementedException();
        }

        private readonly IGearRepository _gearRepository;
    }
}
